Packager: Denis Smirnov <mithraen@altlinux.ru>

%define cronyx_ver 600
%define vrelease	0.12
# cronyx must start before zaptel
# asterisk must start after zaptel

Name: cronyx
Version: 6.0
Release: alt1.rc20
Summary: Utilites for Cronyx hardware
License: BSD-like
Group: System/Kernel and hardware
Url: http://cronyx.ru/software/

BuildRequires: kernel-headers-modules-std-smp zaptel-devel

Conflicts: zaptel < 20070222:1.3-alt0.13

Source: %name.tar
Requires: asterisk-base
BuildPreReq: libnewt-devel

%package -n kernel-source-%name
Summary: Linux %name module sources
Group: Development/Kernel

%description
%summary

%description -n kernel-source-%name
This package contains %name sources for Linux kernel module

%description -n kernel-source-%name -l ru_RU.KOI8-R
    %name    

%prep
%setup -c

t="$RPM_SOURCE_DIR/kernel-source-%name-%version"
%__rm -rf "$t"
mkdir -p $t/
cp -a ./ "$t/"
mv "$t" .

%build
./configure \
	--with-zaptel=/usr/include/zaptel \
	--with-ksrc=/usr/src/`ls -1 /usr/src | grep std-smp | head -n1`

%install
# Make kernel-source tarball
mkdir -p %buildroot%_usrsrc/kernel/sources
du -hsc kernel-source-%name-%version
%__tar cjf \
        %buildroot%_usrsrc/kernel/sources/kernel-source-%name-%version.tar.bz2 \
	kernel-source-%name-%version

mkdir -p %buildroot/sbin/ %buildroot/etc %buildroot%_man8dir
make sconfig
install sconfig %buildroot/sbin/
install sconfig.en %buildroot%_man8dir/sconfig.8
#install sconfig.ru %buildroot%_man8dir/sconfig.8
install cronyx.conf.in %buildroot%_sysconfdir/cronyx.conf

%preun
%post

%files
# cronyx
/sbin/sconfig
%_man8dir/sconfig.8*
%config(noreplace) %_sysconfdir/cronyx.conf

%files -n kernel-source-%name
%_usrsrc/kernel/sources/kernel-source-%name-%version.tar.bz2

%changelog
* Sat Feb 24 2007 Denis Smirnov <mithraen@altlinux.ru> 6.0-alt1.rc20
- add Conflicts: zaptel < 20070222:1.3-alt0.13

* Thu Feb 22 2007 Denis Smirnov <mithraen@altlinux.ru> 6.0-alt0.rc20
- update upstream to 6.0-pre20 (multiple bugfixes, zaptel 1.4 compatibility)

* Thu Feb 22 2007 Denis Smirnov <mithraen@altlinux.ru> 20070222:1.3-alt0.12.20070222
- moved from zaptel to separate package, because it is separate project, and
  building it with zaptel was a very bad ideas

